"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ConfigureHealthCheck_1 = require("../model/operations/ConfigureHealthCheck");
class ConfigureHealthCheckCommand {
    constructor(input) {
        this.input = input;
        this.model = ConfigureHealthCheck_1.ConfigureHealthCheck;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ConfigureHealthCheckCommand = ConfigureHealthCheckCommand;
//# sourceMappingURL=ConfigureHealthCheckCommand.js.map