"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeregisterInstancesFromLoadBalancer_1 = require("../model/operations/DeregisterInstancesFromLoadBalancer");
class DeregisterInstancesFromLoadBalancerCommand {
    constructor(input) {
        this.input = input;
        this.model = DeregisterInstancesFromLoadBalancer_1.DeregisterInstancesFromLoadBalancer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeregisterInstancesFromLoadBalancerCommand = DeregisterInstancesFromLoadBalancerCommand;
//# sourceMappingURL=DeregisterInstancesFromLoadBalancerCommand.js.map