"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeAccountLimits_1 = require("../model/operations/DescribeAccountLimits");
class DescribeAccountLimitsCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeAccountLimits_1.DescribeAccountLimits;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeAccountLimitsCommand = DescribeAccountLimitsCommand;
//# sourceMappingURL=DescribeAccountLimitsCommand.js.map