"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeInstanceHealth_1 = require("../model/operations/DescribeInstanceHealth");
class DescribeInstanceHealthCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeInstanceHealth_1.DescribeInstanceHealth;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeInstanceHealthCommand = DescribeInstanceHealthCommand;
//# sourceMappingURL=DescribeInstanceHealthCommand.js.map