"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeLoadBalancerAttributes_1 = require("../model/operations/DescribeLoadBalancerAttributes");
class DescribeLoadBalancerAttributesCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeLoadBalancerAttributes_1.DescribeLoadBalancerAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeLoadBalancerAttributesCommand = DescribeLoadBalancerAttributesCommand;
//# sourceMappingURL=DescribeLoadBalancerAttributesCommand.js.map