"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeLoadBalancers_1 = require("../model/operations/DescribeLoadBalancers");
class DescribeLoadBalancersCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeLoadBalancers_1.DescribeLoadBalancers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeLoadBalancersCommand = DescribeLoadBalancersCommand;
//# sourceMappingURL=DescribeLoadBalancersCommand.js.map