"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DetachLoadBalancerFromSubnets_1 = require("../model/operations/DetachLoadBalancerFromSubnets");
class DetachLoadBalancerFromSubnetsCommand {
    constructor(input) {
        this.input = input;
        this.model = DetachLoadBalancerFromSubnets_1.DetachLoadBalancerFromSubnets;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DetachLoadBalancerFromSubnetsCommand = DetachLoadBalancerFromSubnetsCommand;
//# sourceMappingURL=DetachLoadBalancerFromSubnetsCommand.js.map