"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DisableAvailabilityZonesForLoadBalancer_1 = require("../model/operations/DisableAvailabilityZonesForLoadBalancer");
class DisableAvailabilityZonesForLoadBalancerCommand {
    constructor(input) {
        this.input = input;
        this.model = DisableAvailabilityZonesForLoadBalancer_1.DisableAvailabilityZonesForLoadBalancer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DisableAvailabilityZonesForLoadBalancerCommand = DisableAvailabilityZonesForLoadBalancerCommand;
//# sourceMappingURL=DisableAvailabilityZonesForLoadBalancerCommand.js.map