"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const EnableAvailabilityZonesForLoadBalancer_1 = require("../model/operations/EnableAvailabilityZonesForLoadBalancer");
class EnableAvailabilityZonesForLoadBalancerCommand {
    constructor(input) {
        this.input = input;
        this.model = EnableAvailabilityZonesForLoadBalancer_1.EnableAvailabilityZonesForLoadBalancer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.EnableAvailabilityZonesForLoadBalancerCommand = EnableAvailabilityZonesForLoadBalancerCommand;
//# sourceMappingURL=EnableAvailabilityZonesForLoadBalancerCommand.js.map