"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ModifyLoadBalancerAttributes_1 = require("../model/operations/ModifyLoadBalancerAttributes");
class ModifyLoadBalancerAttributesCommand {
    constructor(input) {
        this.input = input;
        this.model = ModifyLoadBalancerAttributes_1.ModifyLoadBalancerAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ModifyLoadBalancerAttributesCommand = ModifyLoadBalancerAttributesCommand;
//# sourceMappingURL=ModifyLoadBalancerAttributesCommand.js.map