"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RegisterInstancesWithLoadBalancer_1 = require("../model/operations/RegisterInstancesWithLoadBalancer");
class RegisterInstancesWithLoadBalancerCommand {
    constructor(input) {
        this.input = input;
        this.model = RegisterInstancesWithLoadBalancer_1.RegisterInstancesWithLoadBalancer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RegisterInstancesWithLoadBalancerCommand = RegisterInstancesWithLoadBalancerCommand;
//# sourceMappingURL=RegisterInstancesWithLoadBalancerCommand.js.map