"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const SetLoadBalancerPoliciesForBackendServer_1 = require("../model/operations/SetLoadBalancerPoliciesForBackendServer");
class SetLoadBalancerPoliciesForBackendServerCommand {
    constructor(input) {
        this.input = input;
        this.model = SetLoadBalancerPoliciesForBackendServer_1.SetLoadBalancerPoliciesForBackendServer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.SetLoadBalancerPoliciesForBackendServerCommand = SetLoadBalancerPoliciesForBackendServerCommand;
//# sourceMappingURL=SetLoadBalancerPoliciesForBackendServerCommand.js.map