"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const SetLoadBalancerPoliciesOfListener_1 = require("../model/operations/SetLoadBalancerPoliciesOfListener");
class SetLoadBalancerPoliciesOfListenerCommand {
    constructor(input) {
        this.input = input;
        this.model = SetLoadBalancerPoliciesOfListener_1.SetLoadBalancerPoliciesOfListener;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.SetLoadBalancerPoliciesOfListenerCommand = SetLoadBalancerPoliciesOfListenerCommand;
//# sourceMappingURL=SetLoadBalancerPoliciesOfListenerCommand.js.map