"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateLoadBalancerInput_1 = require("../shapes/CreateLoadBalancerInput");
const CreateLoadBalancerOutput_1 = require("../shapes/CreateLoadBalancerOutput");
const DuplicateAccessPointNameException_1 = require("../shapes/DuplicateAccessPointNameException");
const TooManyAccessPointsException_1 = require("../shapes/TooManyAccessPointsException");
const CertificateNotFoundException_1 = require("../shapes/CertificateNotFoundException");
const InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
const SubnetNotFoundException_1 = require("../shapes/SubnetNotFoundException");
const InvalidSubnetException_1 = require("../shapes/InvalidSubnetException");
const InvalidSecurityGroupException_1 = require("../shapes/InvalidSecurityGroupException");
const InvalidSchemeException_1 = require("../shapes/InvalidSchemeException");
const TooManyTagsException_1 = require("../shapes/TooManyTagsException");
const DuplicateTagKeysException_1 = require("../shapes/DuplicateTagKeysException");
const UnsupportedProtocolException_1 = require("../shapes/UnsupportedProtocolException");
const OperationNotPermittedException_1 = require("../shapes/OperationNotPermittedException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateLoadBalancer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateLoadBalancer",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateLoadBalancerInput_1.CreateLoadBalancerInput
    },
    output: {
        shape: CreateLoadBalancerOutput_1.CreateLoadBalancerOutput,
        resultWrapper: "CreateLoadBalancerResult"
    },
    errors: [
        {
            shape: DuplicateAccessPointNameException_1.DuplicateAccessPointNameException
        },
        {
            shape: TooManyAccessPointsException_1.TooManyAccessPointsException
        },
        {
            shape: CertificateNotFoundException_1.CertificateNotFoundException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        },
        {
            shape: SubnetNotFoundException_1.SubnetNotFoundException
        },
        {
            shape: InvalidSubnetException_1.InvalidSubnetException
        },
        {
            shape: InvalidSecurityGroupException_1.InvalidSecurityGroupException
        },
        {
            shape: InvalidSchemeException_1.InvalidSchemeException
        },
        {
            shape: TooManyTagsException_1.TooManyTagsException
        },
        {
            shape: DuplicateTagKeysException_1.DuplicateTagKeysException
        },
        {
            shape: UnsupportedProtocolException_1.UnsupportedProtocolException
        },
        {
            shape: OperationNotPermittedException_1.OperationNotPermittedException
        }
    ]
};
//# sourceMappingURL=CreateLoadBalancer.js.map