"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateLoadBalancerPolicyInput_1 = require("../shapes/CreateLoadBalancerPolicyInput");
const CreateLoadBalancerPolicyOutput_1 = require("../shapes/CreateLoadBalancerPolicyOutput");
const AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
const PolicyTypeNotFoundException_1 = require("../shapes/PolicyTypeNotFoundException");
const DuplicatePolicyNameException_1 = require("../shapes/DuplicatePolicyNameException");
const TooManyPoliciesException_1 = require("../shapes/TooManyPoliciesException");
const InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateLoadBalancerPolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateLoadBalancerPolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateLoadBalancerPolicyInput_1.CreateLoadBalancerPolicyInput
    },
    output: {
        shape: CreateLoadBalancerPolicyOutput_1.CreateLoadBalancerPolicyOutput,
        resultWrapper: "CreateLoadBalancerPolicyResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: PolicyTypeNotFoundException_1.PolicyTypeNotFoundException
        },
        {
            shape: DuplicatePolicyNameException_1.DuplicatePolicyNameException
        },
        {
            shape: TooManyPoliciesException_1.TooManyPoliciesException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        }
    ]
};
//# sourceMappingURL=CreateLoadBalancerPolicy.js.map